> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # BindSipRegistration POST https://api.voximplant.com/platform_api/BindSipRegistration Bind the SIP registration to the application/user or unbind the SIP registration from the application/user. You should specify the application_id or application_name if you specify the rule_name or user_id, or user_name. You should specify the sip_registration_id if you set bind=true. You can bind only one SIP registration to the user (the previous SIP registration is automatically unbound). Allowed roles: `Owner`, `Admin`, `Developer`. **Example request:** Bind SIP registration with id 1 to application with id 123. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/sip-registration/bind-sip-registration ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `sip_registration_id` (integer, optional) — The registration ID - `application_id` (integer, optional) — The application ID which the SIP registration is to be bound to. Can be used instead of the **application_name** parameter - `application_name` (string, optional) — The application name which the SIP registration is to be bound to. Can be used instead of the **application_id** parameter - `rule_id` (integer, optional) — The rule ID which the SIP registration is to be bound to. Can be used instead of the **rule_name** parameter - `rule_name` (string, optional) — The rule name which the SIP registration is to be bound to. Can be used instead of the **rule_id** parameter - `user_id` (integer, optional) — The user ID which the SIP registration is to be bound to. Can be used instead of the **user_name** parameter - `user_name` (string, optional) — The user name which the SIP registration is to be bound to. Can be used instead of the **user_id** parameter - `bind` (boolean, optional, default: true) — Whether to bind or unbind (set true or false respectively) ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the request has been completed successfully ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1 } ``` **SDK Code** ```python Success import requests url = "https://api.voximplant.com/platform_api/BindSipRegistration" querystring = {"sip_registration_id":"1","application_id":"123","bind":"true"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Success request('POST', 'https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/BindSipRegistration?sip_registration_id=1&application_id=123&bind=true")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```